Package com.independentsoft.office.charts

# Class Line3DChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.Line3DChart

public class Line3DChart extends Chart
The Class Line3DChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Line3DChart()`
  Instantiates a new line3 d chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Line3DChart`
  `clone()`
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `DropLines`
  `getDropLines()`
  Gets the drop lines.
  `long`
  `getFirstAxisID()`
  Gets the first axis id.
  `int`
  `getGapDepth()`
  Gets the gap depth.
  `Grouping`
  `getGrouping()`
  Gets the grouping.
  `long`
  `getSecondAxisID()`
  Gets the second axis id.
  `List<LineChartSerie>`
  `getSeries()`
  Gets the series.
  `long`
  `getThirdAxisID()`
  Gets the third axis id.
  `boolean`
  `hasVaryColors()`
  Checks for vary colors.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setDropLines​(DropLines dropLines)`
  Sets the drop lines.
  `void`
  `setFirstAxisID​(long firstAxisID)`
  Sets the first axis id.
  `void`
  `setGapDepth​(int gapDepth)`
  Sets the gap depth.
  `void`
  `setGrouping​(Grouping grouping)`
  Sets the grouping.
  `void`
  `setSecondAxisID​(long secondAxisID)`
  Sets the second axis id.
  `void`
  `setThirdAxisID​(long thirdAxisID)`
  Sets the third axis id.
  `void`
  `setVaryColors​(boolean varyColors)`
  Sets the vary colors.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Line3DChart

    public Line3DChart()
    Instantiates a new line3 d chart.

- ## Method Details

  - ### clone

    public Line3DChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFirstAxisID

    public long getFirstAxisID()
    Gets the first axis id.
    Returns:
      the first axis id

  - ### setFirstAxisID

    public void setFirstAxisID​(long firstAxisID)
    Sets the first axis id.
    Parameters:
      `firstAxisID` - the new first axis id

  - ### getSecondAxisID

    public long getSecondAxisID()
    Gets the second axis id.
    Returns:
      the second axis id

  - ### setSecondAxisID

    public void setSecondAxisID​(long secondAxisID)
    Sets the second axis id.
    Parameters:
      `secondAxisID` - the new second axis id

  - ### getThirdAxisID

    public long getThirdAxisID()
    Gets the third axis id.
    Returns:
      the third axis id

  - ### setThirdAxisID

    public void setThirdAxisID​(long thirdAxisID)
    Sets the third axis id.
    Parameters:
      `thirdAxisID` - the new third axis id

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getDropLines

    public DropLines getDropLines()
    Gets the drop lines.
    Returns:
      the drop lines

  - ### setDropLines

    public void setDropLines​(DropLines dropLines)
    Sets the drop lines.
    Parameters:
      `dropLines` - the new drop lines

  - ### getGapDepth

    public int getGapDepth()
    Gets the gap depth.
    Returns:
      the gap depth

  - ### setGapDepth

    public void setGapDepth​(int gapDepth)
    Sets the gap depth.
    Parameters:
      `gapDepth` - the new gap depth

  - ### getGrouping

    public Grouping getGrouping()
    Gets the grouping.
    Returns:
      the grouping

  - ### setGrouping

    public void setGrouping​(Grouping grouping)
    Sets the grouping.
    Parameters:
      `grouping` - the new grouping

  - ### getSeries

    public List<LineChartSerie> getSeries()
    Gets the series.
    Returns:
      the series

  - ### hasVaryColors

    public boolean hasVaryColors()
    Checks for vary colors.
    Returns:
      true, if successful

  - ### setVaryColors

    public void setVaryColors​(boolean varyColors)
    Sets the vary colors.
    Parameters:
      `varyColors` - the new vary colors